<%@ Page Language="C#" AutoEventWireup="true" Inherits="PowerEasy.Module.General.WebSite.Admin.Contents.NodesList"
    Title="节点树" Codebehind="NodesList.aspx.cs" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>节点树</title>
    <base target="_self" />
</head>
<body class="floatingIframe">
    <form id="form1" runat="server">
        <div>

            <script language="javascript" type="text/javascript">
<!--
    var returnNodeName;
    var nnodeId;
    function going(nodeId,nodeName)
    {
        CallTheServer(nodeId,"");
        nnodeId = nodeId;
    }
    
    function ReceiveServerData(rvalue)
    {
       returnNodeName = rvalue;
       var action = '<%= Request.QueryString["Action"] %>';
       if(action == 'SetNode')
       {
           parent.SetNode(nnodeId + "$$$" + returnNodeName);
           parent.document.getElementById("<%= Request.QueryString["floatingDialog"] %>").style.display = "none";
           if (parent.document.getElementById('jqDnrFloatDivBg')) {
                    parent.document.getElementById('jqDnrFloatDivBg').style.display = "none";
                }
       }
       if(action == 'AddInfo')
       {
           parent.UpdateTheInfoNodes(nnodeId + "$$$" + returnNodeName);
       }
    }
-->
            </script>

            <pe:XLoadTree ID="XLoadNodeTree" RootText="网站" RootAction="#" runat="server">
            </pe:XLoadTree>
        </div>
        <br />
        <script language="javascript" type="text/javascript">
<!--
function OverrideXmlFileLoaded(oXmlDoc, jsParentNode) {
  var action = '<%= Request.QueryString["Action"] %>';
  var nodeids = parent.document.getElementById("<%= Request.QueryString["BackControlId"] %>").value;
  var nodeidsarr = nodeids.split(',');
      for(i=0;i<nodeidsarr.length;i++)
	  {
	      if(document.getElementById("XLoadTree_NodeId_" + nodeidsarr[i]))
	      {
	          document.getElementById("XLoadTree_NodeId_" + nodeidsarr[i]).checked = true;
	      }
	  }
}

webFXTreeHandler.check = function(obj,nodeid,nodename)
{
    if(obj.checked)
    {
        going(nodeid,nodename);
    }
    else
    {
        parent.Del(nodeid);
    }
}
-->
        </script>

    </form>
</body>
</html>
